# Method: projects.deployments.delete

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/delete#body.request_body)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/delete#body.response_body)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/delete#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/delete#try-it)

Deletes a deployment of an Apps Script project.

### HTTP request

`DELETE https://script.googleapis.com/v1/projects/{scriptId}/deployments/{deploymentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |
| `deploymentId` | `string` The deployment ID to be undeployed. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/script.deployments`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).